=== debian/changelog ===
logswan (2.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #919267)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 08 Dec 2018 15:51:54 +0100
