=== debian/control ===
Source: logswan
Section: web
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libjansson-dev, libmaxminddb-dev
Standards-Version: 4.2.1
Homepage: https://github.com/fcambus/logswan

Package: logswan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast Web log analyzer using probabilistic data structures
 This is a fast Web log analyzer using probabilistic data structures. It is
 targeted at very large log files, typically APIs logs. It has constant memory
 usage regardless of the log file size, and takes approximatively 4 MB of RAM.
 .
 Unique visitors counting is performed using two HyperLogLog counters (one for
 IPv4, and another one for IPv6), providing a relative accuracy of 0.10%.
