## logswan 2.0.4

=== debian/changelog ===
logswan (2.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 17:38:27 +0200

logswan (2.0.3-2) unstable; urgency=medium

  * debian/control: wrap-and-sort -bast.
  * debian/compat: dropped.
  * debian/copyright: relicensed debian/* to BSD-2-clause.
  * Bump standards version to 12.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 22 Jan 2019 05:35:01 +0100
