=== debian/control ===
--- 
+++ 
@@ -2,13 +2,20 @@
 Section: web
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, libjansson-dev, libmaxminddb-dev
+Build-Depends:
+ cmake,
+ debhelper (>= 12),
+ debhelper-compat (= 12),
+ libjansson-dev,
+ libmaxminddb-dev,
 Standards-Version: 4.2.1
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: fast Web log analyzer using probabilistic data structures
  This is a fast Web log analyzer using probabilistic data structures. It is
  targeted at very large log files, typically APIs logs. It has constant memory
