=== debian/changelog ===
logswan (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Oct 2019 08:27:18 +0200
