=== debian/changelog ===
logswan (2.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 31 Oct 2019 08:24:01 +0100
