## logswan 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.1
+# Logswan 2.1.2
 # Copyright (c) 2015-2019, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2018-10-26
+# Last Updated: 2018-11-19
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -17,20 +17,26 @@
 include(CheckFunctionExists)
 include(GNUInstallDirs)
 
+# Conditional build options
+set(ENABLE_SECCOMP 0
+    CACHE BOOL "Enable building with seccomp")
+
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
 check_function_exists(pledge HAVE_PLEDGE)
 check_function_exists(strtonum HAVE_STRTONUM)
 
-# Check if system has seccomp
-message(STATUS "Looking for seccomp")
-find_path(SECCOMP NAMES "linux/seccomp.h")
-if(SECCOMP)
-  message(STATUS "Looking for seccomp - found")
-  add_definitions(-DHAVE_SECCOMP=1)
-else()
-  message(STATUS "Looking for seccomp - not found")
-endif()
+if(ENABLE_SECCOMP)
+  # Check if system has seccomp
+  message(STATUS "Looking for seccomp")
+  find_path(SECCOMP NAMES "linux/seccomp.h")
+  if(SECCOMP)
+    message(STATUS "Looking for seccomp - found")
+    add_definitions(-DHAVE_SECCOMP=1)
+  else()
+    message(STATUS "Looking for seccomp - not found")
+  endif()
+endif(ENABLE_SECCOMP)
 
 # Additional include directories for compat functions + dependencies
 include_directories("compat")
@@ -68,7 +74,7 @@
 
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)
 
-install(TARGETS logswan DESTINATION bin)
+install(TARGETS logswan DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()
