## logswan 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-# Logswan 2.1.2
-# Copyright (c) 2015-2019, Frederic Cambus
+# Logswan 2.1.3
+# Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
@@ -79,3 +79,4 @@
 
 enable_testing()
 add_test(logswan logswan)
+add_test(processing logswan ${PROJECT_SOURCE_DIR}/examples/logswan.log)
