=== debian/changelog ===
logswan (2.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Jan 2020 12:48:13 +0100

logswan (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 13:23:13 +0100
