=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 12),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
