## logswan 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.3
+# Logswan 2.1.4
 # Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2018-11-19
+# Last Updated: 2020-03-27
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -65,11 +65,13 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/GeoIP2
+set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/dbip
     CACHE PATH "Path to GeoIP2 databases")
+set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
 add_definitions(-Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
+add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
 
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)
