=== debian/changelog ===
logswan (2.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Add Vcs fields.
  * Update copyright fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 May 2020 08:37:47 +0200
