=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  debhelper-compat (= 12),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
+Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
