## logswan 2.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.4
+# Logswan 2.1.8
 # Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2020-03-27
+# Last Updated: 2020-08-28
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -32,7 +32,7 @@
   find_path(SECCOMP NAMES "linux/seccomp.h")
   if(SECCOMP)
     message(STATUS "Looking for seccomp - found")
-    add_definitions(-DHAVE_SECCOMP=1)
+    add_definitions(-DHAVE_SECCOMP)
   else()
     message(STATUS "Looking for seccomp - not found")
   endif()
@@ -69,7 +69,7 @@
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
@@ -81,4 +81,6 @@
 
 enable_testing()
 add_test(logswan logswan)
-add_test(processing logswan ${PROJECT_SOURCE_DIR}/examples/logswan.log)
+add_test(processing logswan ${PROJECT_SOURCE_DIR}/tests/logswan.log)
+add_test(geolocation logswan -g -d ${PROJECT_SOURCE_DIR}/tests/logswan.mmdb
+         ${PROJECT_SOURCE_DIR}/tests/logswan.log)
