=== debian/changelog ===
logswan (2.1.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13.
  * d/copyright: set Upstream-Contact.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/watch: drop template part.
  * d/examples: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 26 Nov 2020 08:58:13 +0100
