=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends:
  cmake,
- debhelper (>= 12),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
 Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
 Homepage: https://github.com/fcambus/logswan
