## logswan 2.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.8
-# Copyright (c) 2015-2020, Frederic Cambus
+# Logswan 2.1.10
+# Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2020-08-28
+# Last Updated: 2021-02-14
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -52,7 +52,6 @@
 find_library(JANSSON_LIBRARIES NAMES jansson REQUIRED)
 include_directories(${JANSSON_INCLUDE_DIRS})
 
-set(CMAKE_BUILD_TYPE Release)
 set(DEPS deps/hll/hll.c deps/MurmurHash3/MurmurHash3.c)
 set(SRC src/logswan.c src/config.c src/continents.c src/countries.c
     src/output.c src/parse.c)
@@ -69,7 +68,7 @@
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
