=== debian/changelog ===
logswan (2.1.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:38:41 +0200

logswan (2.1.10-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Feb 2021 11:51:23 +0100
