## logswan 2.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 #
-# Logswan 2.1.10
+# Logswan 2.1.11
 # Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2021-02-14
+# Last Updated: 2021-10-18
 #
-# Logswan is released under the BSD 2-Clause license
-# See LICENSE file for details
+# Logswan is released under the BSD 2-Clause license.
+# See LICENSE file for details.
+#
+# SPDX-License-Identifier: BSD-2-Clause
 #
 
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
+
+set(CMAKE_C_STANDARD 11)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
 
 project(logswan C)
 
@@ -18,8 +24,7 @@
 include(GNUInstallDirs)
 
 # Conditional build options
-set(ENABLE_SECCOMP 0
-    CACHE BOOL "Enable building with seccomp")
+set(ENABLE_SECCOMP 0 CACHE BOOL "Enable building with seccomp")
 
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
@@ -57,18 +62,18 @@
     src/output.c src/parse.c)
 
 if(NOT HAVE_PLEDGE)
-  set (SRC ${SRC} compat/pledge.c)
+  set(SRC ${SRC} compat/pledge.c)
 endif()
 
 if(NOT HAVE_STRTONUM)
-  set (SRC ${SRC} compat/strtonum.c)
+  set(SRC ${SRC} compat/strtonum.c)
 endif()
 
 set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/dbip
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
