=== debian/changelog ===
logswan (2.1.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update Vcs fields.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Nov 2021 14:12:48 +0100
