## logswan 2.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Logswan 2.1.11
+# Logswan 2.1.12
 # Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #
