=== debian/changelog ===
logswan (2.1.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 02 Dec 2021 20:03:58 +0100
