=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: logswan
 Section: web
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
-Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
+Vcs-Browser: https://salsa.debian.org/tar/logswan
+Vcs-Git: https://salsa.debian.org/tar/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
