## logswan 2.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.12
-# Copyright (c) 2015-2021, Frederic Cambus
+# Logswan 2.1.14
+# Copyright (c) 2015-2023, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2021-10-18
+# Last Updated: 2023-03-13
 #
 # Logswan is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -81,10 +81,13 @@
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)
 
 install(TARGETS logswan DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
+install(FILES man/logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()
 add_test(logswan logswan)
+add_test(usage logswan -h)
+add_test(version logswan -v)
 add_test(processing logswan ${PROJECT_SOURCE_DIR}/tests/logswan.log)
+add_test(invalid logswan ${PROJECT_SOURCE_DIR}/tests/invalid.log)
 add_test(geolocation logswan -g -d ${PROJECT_SOURCE_DIR}/tests/logswan.mmdb
          ${PROJECT_SOURCE_DIR}/tests/logswan.log)
