=== debian/changelog ===
logswan (2.1.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 19:56:30 +0200

logswan (2.1.14-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.
  * d/control: update Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Mon, 17 Apr 2023 08:55:19 +0200
