=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/tar/logswan
-Vcs-Git: https://salsa.debian.org/tar/logswan.git
+Vcs-Browser: https://salsa.debian.org/debian/logswan
+Vcs-Git: https://salsa.debian.org/debian/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
