=== debian/changelog ===
logswan (2.1.15-1) unstable; urgency=medium

  * QA upload.
  * add debian/gbp.conf
  * New upstream version 2.1.15
  * d/rules: clear unneeded export
  * d/copyright:
      - update year info to 2025
      - add License public-domain for deps/MurmurHash3/MurmurHash3.c
      - add License ISC for compat/strtonum.c
  * Bump Standards-Version: 4.7.2
  * d/control: set Maintainer to Debian QA Group <packages@qa.debian.org>

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 28 Mar 2025 16:59:25 +0800

logswan (2.1.14-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:35:57 +0000
