=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: logswan
 Section: web
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/logswan
 Vcs-Git: https://salsa.debian.org/debian/logswan.git
